Subject: [bug#57608] Upstreaming KDE Plasma and rest of packages

From: phodina <[email-masked]>
Date: Tue, 22 Nov 2022 10:20:36 +0000

Hi Marius,

Thanks for the review and push to master!

> Awesome work Petr. :-)
> 
> I went through the branch and applied most of the patches. With a few
> changes:
> 
> * shortened multi-line URLs

Sorry I used the formatter ('guix style') and it set the URLs as such).

> * added (file-name ...) for git sources
> * removed knetworkmanager -- AFAICT it is identical to networkmanager-qt
> * switched to git-fetch for packages that were downloading tarballs from
> the KDE GitLab. This is because such autogenerated tarballs are not
> stable: they may get regenerated with a different hash.

Is this issue somewhere described? I've lately used more tarballs to git download on other packages. Is the issue connected with any Gitlab/Forge or just the KDE and the release scripts?

> * dropped the !! commits
> * Minor tweaks to synopses and descriptions

My apologies as I noticed there were few packages with wrong license or missing description.

> * A few commits had a random edit to a different package: I reverted
> those edits. An example:
> https://github.com/phodina/guix/commit/5eaa9c49a78eed419db7847668a55c079bad5b71

Caused due to rebasing and working on a large patchset. I'll split it next time and sent it by smaller parts.

> * Removed use of direct variable references, i.e. #$qtbase. Always use
> (search-input-file ...), (search-input-directory ...) or as a last
> resort #$(this-package-input "foo").

Thanks for the hint. I'll fix all the packages where I use this syntax!
 
> * Skipped commits that would trigger a lot of rebuilds, e.g. gpgme.

I'll submit it in new ticket.

> * Skipped cosmetic commits such as using G-expressions in Qt packages;
> mainly because of rebuilds, but also because they were not indented
> properly. Some also introduced direct #$variable references.

I'll fix the issues and submit it as a new ticket.

> * Dropped the plasma-desktop-service since it was not working for me.

Should we keep this ticket open to package also the plasma-desktop-service?
I'll try it now and see what causes the Plasma not to work.

> For later reference, when adding patches, please add a sentence or two
> at the top of the patch describing what it does. I did not edit the
> patches (except for a long file name), because I did not know what it
> was for. Presumably you did; future you will thank you!
> 
> Pushed to 'master' as fe3be8d5e0..82804298ad !

Sorry I didn't intend to add so many changes and it's been a challenge that taught me some new lessons.

I'll definitely add more description for the reviewers and keep it smaller so I doesn't take long time to review.

----
Petr